package com.mortals.xhx.module.window.model;

import java.util.List;
import com.mortals.xhx.module.window.model.WindowOwnerDetailEntity;
/**
 * 窗口负责人详细查询对象
 *
 * @author zxfei
 * @date 2024-01-17
 */
public class WindowOwnerDetailQuery extends WindowOwnerDetailEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 负责人Id */
    private Long ownerIdStart;

    /** 结束 负责人Id */
    private Long ownerIdEnd;

    /** 增加 负责人Id */
    private Long ownerIdIncrement;

    /** 负责人Id列表 */
    private List <Long> ownerIdList;

    /** 负责人Id排除列表 */
    private List <Long> ownerIdNotList;

    /** 开始 窗口id */
    private Long windowIdStart;

    /** 结束 窗口id */
    private Long windowIdEnd;

    /** 增加 窗口id */
    private Long windowIdIncrement;

    /** 窗口id列表 */
    private List <Long> windowIdList;

    /** 窗口id排除列表 */
    private List <Long> windowIdNotList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 窗口名称排除列表 */
    private List <String> windowNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 窗口编号 */
    private List<String> windowCodeList;

    /** 窗口编号排除列表 */
    private List <String> windowCodeNotList;
    /** 开始 所属楼栋 */
    private Integer buildingStart;

    /** 结束 所属楼栋 */
    private Integer buildingEnd;

    /** 增加 所属楼栋 */
    private Integer buildingIncrement;

    /** 所属楼栋列表 */
    private List <Integer> buildingList;

    /** 所属楼栋排除列表 */
    private List <Integer> buildingNotList;

    /** 开始 所属楼层 */
    private Integer levelStart;

    /** 结束 所属楼层 */
    private Integer levelEnd;

    /** 增加 所属楼层 */
    private Integer levelIncrement;

    /** 所属楼层列表 */
    private List <Integer> levelList;

    /** 所属楼层排除列表 */
    private List <Integer> levelNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowOwnerDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowOwnerDetailQuery> andConditionList;

    public WindowOwnerDetailQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 负责人Id
     * @return ownerIdStart
     */
    public Long getOwnerIdStart(){
        return this.ownerIdStart;
    }

    /**
     * 设置 开始 负责人Id
     * @param ownerIdStart
     */
    public void setOwnerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
    }

    /**
     * 获取 结束 负责人Id
     * @return $ownerIdEnd
     */
    public Long getOwnerIdEnd(){
        return this.ownerIdEnd;
    }

    /**
     * 设置 结束 负责人Id
     * @param ownerIdEnd
     */
    public void setOwnerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
    }

    /**
     * 获取 增加 负责人Id
     * @return ownerIdIncrement
     */
    public Long getOwnerIdIncrement(){
        return this.ownerIdIncrement;
    }

    /**
     * 设置 增加 负责人Id
     * @param ownerIdIncrement
     */
    public void setOwnerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
    }

    /**
     * 获取 负责人Id
     * @return ownerIdList
     */
    public List<Long> getOwnerIdList(){
        return this.ownerIdList;
    }

    /**
     * 设置 负责人Id
     * @param ownerIdList
     */
    public void setOwnerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
    }

    /**
     * 获取 负责人Id
     * @return ownerIdNotList
     */
    public List<Long> getOwnerIdNotList(){
        return this.ownerIdNotList;
    }

    /**
     * 设置 负责人Id
     * @param ownerIdNotList
     */
    public void setOwnerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
    }


    /**
     * 获取 开始 窗口id
     * @return windowIdStart
     */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
     * 设置 开始 窗口id
     * @param windowIdStart
     */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
     * 获取 结束 窗口id
     * @return $windowIdEnd
     */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
     * 设置 结束 窗口id
     * @param windowIdEnd
     */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
     * 获取 增加 窗口id
     * @return windowIdIncrement
     */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
     * 设置 增加 窗口id
     * @param windowIdIncrement
     */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
     * 获取 窗口id
     * @return windowIdList
     */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
     * 设置 窗口id
     * @param windowIdList
     */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
     * 获取 窗口id
     * @return windowIdNotList
     */
    public List<Long> getWindowIdNotList(){
        return this.windowIdNotList;
    }

    /**
     * 设置 窗口id
     * @param windowIdNotList
     */
    public void setWindowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
    }


    /**
     * 获取 窗口名称
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
     * 获取 窗口名称
     * @return windowNameNotList
     */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameNotList
     */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 窗口编号
     * @return windowCodeList
     */
    public List<String> getWindowCodeList(){
        return this.windowCodeList;
    }

    /**
     * 设置 窗口编号
     * @param windowCodeList
     */
    public void setWindowCodeList(List<String> windowCodeList){
        this.windowCodeList = windowCodeList;
    }

    /**
     * 获取 窗口编号
     * @return windowCodeNotList
     */
    public List<String> getWindowCodeNotList(){
        return this.windowCodeNotList;
    }

    /**
     * 设置 窗口编号
     * @param windowCodeNotList
     */
    public void setWindowCodeNotList(List<String> windowCodeNotList){
        this.windowCodeNotList = windowCodeNotList;
    }

    /**
     * 获取 开始 所属楼栋
     * @return buildingStart
     */
    public Integer getBuildingStart(){
        return this.buildingStart;
    }

    /**
     * 设置 开始 所属楼栋
     * @param buildingStart
     */
    public void setBuildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
    }

    /**
     * 获取 结束 所属楼栋
     * @return $buildingEnd
     */
    public Integer getBuildingEnd(){
        return this.buildingEnd;
    }

    /**
     * 设置 结束 所属楼栋
     * @param buildingEnd
     */
    public void setBuildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
    }

    /**
     * 获取 增加 所属楼栋
     * @return buildingIncrement
     */
    public Integer getBuildingIncrement(){
        return this.buildingIncrement;
    }

    /**
     * 设置 增加 所属楼栋
     * @param buildingIncrement
     */
    public void setBuildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
    }

    /**
     * 获取 所属楼栋
     * @return buildingList
     */
    public List<Integer> getBuildingList(){
        return this.buildingList;
    }

    /**
     * 设置 所属楼栋
     * @param buildingList
     */
    public void setBuildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
    }

    /**
     * 获取 所属楼栋
     * @return buildingNotList
     */
    public List<Integer> getBuildingNotList(){
        return this.buildingNotList;
    }

    /**
     * 设置 所属楼栋
     * @param buildingNotList
     */
    public void setBuildingNotList(List<Integer> buildingNotList){
        this.buildingNotList = buildingNotList;
    }


    /**
     * 获取 开始 所属楼层
     * @return levelStart
     */
    public Integer getLevelStart(){
        return this.levelStart;
    }

    /**
     * 设置 开始 所属楼层
     * @param levelStart
     */
    public void setLevelStart(Integer levelStart){
        this.levelStart = levelStart;
    }

    /**
     * 获取 结束 所属楼层
     * @return $levelEnd
     */
    public Integer getLevelEnd(){
        return this.levelEnd;
    }

    /**
     * 设置 结束 所属楼层
     * @param levelEnd
     */
    public void setLevelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
    }

    /**
     * 获取 增加 所属楼层
     * @return levelIncrement
     */
    public Integer getLevelIncrement(){
        return this.levelIncrement;
    }

    /**
     * 设置 增加 所属楼层
     * @param levelIncrement
     */
    public void setLevelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
    }

    /**
     * 获取 所属楼层
     * @return levelList
     */
    public List<Integer> getLevelList(){
        return this.levelList;
    }

    /**
     * 设置 所属楼层
     * @param levelList
     */
    public void setLevelList(List<Integer> levelList){
        this.levelList = levelList;
    }

    /**
     * 获取 所属楼层
     * @return levelNotList
     */
    public List<Integer> getLevelNotList(){
        return this.levelNotList;
    }

    /**
     * 设置 所属楼层
     * @param levelNotList
     */
    public void setLevelNotList(List<Integer> levelNotList){
        this.levelNotList = levelNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WindowOwnerDetailQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WindowOwnerDetailQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WindowOwnerDetailQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WindowOwnerDetailQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WindowOwnerDetailQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public WindowOwnerDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  负责人Id
     * @param ownerId
     */
    public WindowOwnerDetailQuery ownerId(Long ownerId){
        setOwnerId(ownerId);
        return this;
    }

    /**
     * 设置 开始 负责人Id
     * @param ownerIdStart
     */
    public WindowOwnerDetailQuery ownerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
        return this;
    }

    /**
     * 设置 结束 负责人Id
     * @param ownerIdEnd
     */
    public WindowOwnerDetailQuery ownerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
        return this;
    }

    /**
     * 设置 增加 负责人Id
     * @param ownerIdIncrement
     */
    public WindowOwnerDetailQuery ownerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
        return this;
    }

    /**
     * 设置 负责人Id
     * @param ownerIdList
     */
    public WindowOwnerDetailQuery ownerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
        return this;
    }

    /**
     * 设置 负责人Id
     * @param ownerIdNotList
     */
    public WindowOwnerDetailQuery ownerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
        return this;
    }

    /**
     * 设置  窗口id
     * @param windowId
     */
    public WindowOwnerDetailQuery windowId(Long windowId){
        setWindowId(windowId);
        return this;
    }

    /**
     * 设置 开始 窗口id
     * @param windowIdStart
     */
    public WindowOwnerDetailQuery windowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口id
     * @param windowIdEnd
     */
    public WindowOwnerDetailQuery windowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口id
     * @param windowIdIncrement
     */
    public WindowOwnerDetailQuery windowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
        return this;
    }

    /**
     * 设置 窗口id
     * @param windowIdList
     */
    public WindowOwnerDetailQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
        return this;
    }

    /**
     * 设置 窗口id
     * @param windowIdNotList
     */
    public WindowOwnerDetailQuery windowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
        return this;
    }


    /**
     * 设置 窗口名称
     * @param windowName
     */
    public WindowOwnerDetailQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public WindowOwnerDetailQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public WindowOwnerDetailQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public WindowOwnerDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WindowOwnerDetailQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WindowOwnerDetailQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WindowOwnerDetailQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WindowOwnerDetailQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WindowOwnerDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public WindowOwnerDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public WindowOwnerDetailQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public WindowOwnerDetailQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public WindowOwnerDetailQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public WindowOwnerDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public WindowOwnerDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public WindowOwnerDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 窗口编号
     * @param windowCode
     */
    public WindowOwnerDetailQuery windowCode(String windowCode){
        setWindowCode(windowCode);
        return this;
    }

    /**
     * 设置 窗口编号
     * @param windowCodeList
     */
    public WindowOwnerDetailQuery windowCodeList(List<String> windowCodeList){
        this.windowCodeList = windowCodeList;
        return this;
    }

    /**
     * 设置  所属楼栋
     * @param building
     */
    public WindowOwnerDetailQuery building(Integer building){
        setBuilding(building);
        return this;
    }

    /**
     * 设置 开始 所属楼栋
     * @param buildingStart
     */
    public WindowOwnerDetailQuery buildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
        return this;
    }

    /**
     * 设置 结束 所属楼栋
     * @param buildingEnd
     */
    public WindowOwnerDetailQuery buildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
        return this;
    }

    /**
     * 设置 增加 所属楼栋
     * @param buildingIncrement
     */
    public WindowOwnerDetailQuery buildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
        return this;
    }

    /**
     * 设置 所属楼栋
     * @param buildingList
     */
    public WindowOwnerDetailQuery buildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
        return this;
    }

    /**
     * 设置 所属楼栋
     * @param buildingNotList
     */
    public WindowOwnerDetailQuery buildingNotList(List<Integer> buildingNotList){
        this.buildingNotList = buildingNotList;
        return this;
    }

    /**
     * 设置  所属楼层
     * @param level
     */
    public WindowOwnerDetailQuery level(Integer level){
        setLevel(level);
        return this;
    }

    /**
     * 设置 开始 所属楼层
     * @param levelStart
     */
    public WindowOwnerDetailQuery levelStart(Integer levelStart){
        this.levelStart = levelStart;
        return this;
    }

    /**
     * 设置 结束 所属楼层
     * @param levelEnd
     */
    public WindowOwnerDetailQuery levelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
        return this;
    }

    /**
     * 设置 增加 所属楼层
     * @param levelIncrement
     */
    public WindowOwnerDetailQuery levelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
        return this;
    }

    /**
     * 设置 所属楼层
     * @param levelList
     */
    public WindowOwnerDetailQuery levelList(List<Integer> levelList){
        this.levelList = levelList;
        return this;
    }

    /**
     * 设置 所属楼层
     * @param levelNotList
     */
    public WindowOwnerDetailQuery levelNotList(List<Integer> levelNotList){
        this.levelNotList = levelNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WindowOwnerDetailQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WindowOwnerDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WindowOwnerDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WindowOwnerDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}